Bug 1656292 - [backport][OSP 13] NVIDIA vGPU support for Guests in RHOSP (AI/ML use case)
Summary: [backport][OSP 13] NVIDIA vGPU support for Guests in RHOSP (AI/ML use case)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Linux
urgent
urgent
Target Milestone: z9
: 13.0 (Queens)
Assignee: Sylvain Bauza
QA Contact: Archit Modi
URL:
Whiteboard:
Depends On: 1764341 1482630
Blocks: 1360442 1552268 1624221 1626155 1724085
TreeView+ depends on / blocked
 
Reported: 2018-12-05 07:35 UTC by Aviv Guetta
Modified: 2020-01-23 09:55 UTC (History)
21 users (show)

Fixed In Version: openstack-nova-17.0.10-8.el7ost
Doc Type: Enhancement
Doc Text:
With this update, you can now use NVIDIA vGPU GRID drivers with Red Hat OpenStack Platform 13. Red Hat fully supports installations that include these drivers, excluding support for third-party applications developed around the NVIDIA GPU and dedicated driver.
Clone Of: 1482630
Environment:
Last Closed: 2019-11-08 11:47:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
vgpu-deployment+cuda-tests.txt (37.82 KB, text/plain)
2019-10-22 16:06 UTC, Archit Modi
no flags Details
test-nvidia.png (133.71 KB, image/png)
2019-10-30 15:05 UTC, Archit Modi
no flags Details
driver-nvidia-install.png (35.52 KB, image/png)
2019-10-30 15:05 UTC, Archit Modi
no flags Details

Comment 4 Archit Modi 2019-10-22 16:06:09 UTC
Created attachment 1628082 [details]
vgpu-deployment+cuda-tests.txt

Comment 8 Archit Modi 2019-10-30 15:05:01 UTC
Created attachment 1630626 [details]
test-nvidia.png

Comment 9 Archit Modi 2019-10-30 15:05:37 UTC
Created attachment 1630627 [details]
driver-nvidia-install.png

Comment 10 Lon Hohberger 2019-11-08 11:47:18 UTC
According to our records, this should be resolved by openstack-nova-17.0.12-1.el7ost.  This build is available now.


Note You need to log in before you can comment on or make changes to this bug.